%global momorel 1
%global mozilla_version 1.7.13
%global rel 1
%global src0_md5sum 3270b469582f873fc2c68b34c7588c97

Name:        mozilla-language-pack
Summary:     mozilla language pack
Version:     %{mozilla_version}
Release:     %{momorel}m
License:     MPL and GPL and LGPL
%NoSource 0  http://ftp.mozilla-japan.org/pub/mozilla-japan/mozilla/development/%{mozilla_version}/mozilla-%{mozilla_version}.ja-JP.langpack-%{rel}.xpi %{src0_md5sum}
Source1:     lang-ja.txt
Group:       Applications/Internet
BuildPrereq: unzip
Prereq:      mozilla
URL:         http://www.mozilla.org/
Buildroot:   %{_tmppath}/%{name}-%{version}-root
BuildArch:   noarch

%description
mozilla language pack

%package japanese
### [Mozilla L10N forum] http://moz.skillup.jp/jlp/
### Mozilla Suite 1.7.x Development JLP in
### ftp://ftp.mozilla-japan.org/pub/mozilla-japan/mozilla/development/1.7.x/
Summary:     Mozilla japanese language pack (jlp)
Group:       Applications/Internet
Requires:    mozilla >= %{version}

%description japanese
Mozilla japanese language pack (jlp)

%prep

%build

%install
%{__rm} -rf --preserve-root %{buildroot}
%{__mkdir_p} %{buildroot}%{_libdir}/mozilla-%{mozilla_version}
cd %{buildroot}%{_libdir}/mozilla-%{mozilla_version}

#JLP
unzip -q -o %{SOURCE0}
%{__rm} -f install.js
%{__mkdir_p} bin/searchplugins
%{__mv} sp/* bin/searchplugins
#mv sp_nomac/* bin/searchplugins
pushd bin
%{__mv} * ..
popd
%{__rm} -rf bin
%{__mkdir} chrome/lang
%{__cp} %{SOURCE1} chrome/lang/lang-ja.txt
%{__rm} -rf sp_nomac sp install.properties

# remove unwanting files, but this include LICENSE :-p
%{__rm} -f %{buildroot}%{_libdir}/mozilla-%{mozilla_version}/LICENSE
%{__rm} -f %{buildroot}%{_libdir}/mozilla-%{mozilla_version}/chrome/ja-mac.jar
%{__rm} -f %{buildroot}%{_libdir}/mozilla-%{mozilla_version}/chrome/ja-win.jar
%{__rm} -f %{buildroot}%{_libdir}/mozilla-%{mozilla_version}/defaults/messenger/JP/mailViews.dat

# What this ? (at 1.7.13)
%{__rm} -f %{buildroot}%{_libdir}/mozilla-%{mozilla_version}/tmp.708

%clean
%{__rm} -rf --preserve-root %{buildroot}

%post japanese
if [ -f %{_libdir}/mozilla-%{mozilla_version}/mozilla-rebuild-databases.pl ]; then
    %{_libdir}/mozilla-%{mozilla_version}/mozilla-rebuild-databases.pl
fi
%__perl -p -i -e 's|^locale,install,select,en-US$|locale,install,select,ja-JP|' %{_libdir}/mozilla-%{mozilla_version}/chrome/installed-chrome.txt

%postun japanese
if [ "$1" == "2" ]; then
  if [ -f %{_libdir}/mozilla-%{mozilla_version}/mozilla-rebuild-databases.pl ]; then
      %{_libdir}/mozilla-%{mozilla_version}/mozilla-rebuild-databases.pl
  fi
fi

%files japanese
%defattr(-,root,root)
%{_libdir}/mozilla-%{mozilla_version}/searchplugins/*
%{_libdir}/mozilla-%{mozilla_version}/chrome/lang/lang-ja.txt
%{_libdir}/mozilla-%{mozilla_version}/chrome/JP.jar
%{_libdir}/mozilla-%{mozilla_version}/chrome/ja-JP.jar
%{_libdir}/mozilla-%{mozilla_version}/chrome/ja-unix.jar
%{_libdir}/mozilla-%{mozilla_version}/defaults/profile/JP

%changelog
* Sat Apr 22 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.7.13-1m)
- update for mozilla-1.7.13
- change install dir lib -> %%{_libdir}

* Fri Sep 23 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.7.12-1m)
- update for mozilla-1.7.12

* Sun Jul 31 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.7.11-1m)
- update for mozilla-1.7.11

* Sun Jul 24 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.7.10-1m)
- update for mozilla-1.7.10

* Fri May 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.7.8-1m)
- update for mozilla-1.7.8

* Mon Apr 18 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.7.7-1m)
- update for mozilla-1.7.7

* Fri Mar 25 2005 Toru Hoshina <t@momonga-linux.org>
- (1.7.6-2m)
- language pack IS NOT plugin... orz

* Tue Mar 24 2005 Toru Hoshina <t@momonga-linux.org>
- (1.7.6-1m)
- rebuild against mozilla 1.7.6.
- install to {_libdir}/mozilla/plugins.

* Fri Dec 24 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7.5-1m)
- update for mozilla-1.7.5

* Sat Nov 13 2004 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.7.3-2m)
- up to mozilla-1.7.3-langjajp.xpi

* Thu Sep 16 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7.3-1m)
- rebuild against mozilla-1.7.3

* Sun Aug 22 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.7.2-3m)
  revised source url

* Mon Aug  9 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7.2-2m)
- update to  moz1.7-langjajp-tm0.2.xpi

* Sat Aug  7 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7.2-1m)
- rebuild against mozilla-1.7.2

* Thu Jul 22 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7-3m)
- version up.

* Tue Jul  6 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7-2m)
- rebuild against mozilla-1.7-2m

* Mon Jun 28 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.7-1m)
- update for mozilla 1.7

* Tue Apr 27 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.6-4m)
- update to 1.6tm0.2.1 for mozilla-1.6

* Fri Apr  2 2004 Toru Hoshina <t@momonga-linux.org>
- (1.6-3m)
- Epoch, the company that is known as "the ballpark" game vendor.

* Tue Mar 23 2004 Toru Hoshina <t@momonga-linux.org>
- (1.6-2m)
- revised spec for enabling rpm 4.2.

* Sat Jan 17 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.6-1m)
- update to 1.6tm0.1 for mozilla-1.6

* Sun Nov 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5-2m)
- update Source0
- change Source0 URI
- s/Copyright:/License:/


* Thu Oct 16 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.5-1m)
- update to 1.5 tm0.1

* Sun Aug 10 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.4-3m)
- update to tm0.4
- use %%NoSource tag.

* Thu Jul 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.4-2m)
  update to tm0.2

* Wed Jul  2 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.4-1m)
- update to 1.4 for mozilla-1.4.

* Wed May 21 2003 zunda <zunda at freeshell.org>
- (1.3.1-3m)
- Source update: 1.3.1-0.2.1

* Wed May 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.3.1-2m)
- fixed Version:

* Fri May 16 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.3.1-1m)
- for mozilla 1.3.1

* Fri May  9 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.3-4m)
- change Source to 1.3.1-tm0.2

* Sat Apr 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3-3m)
- change Source0 URI
- add BuildPrereq: unzip
- delete BuildPrereq: zip

* Wed Mar 19 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3-2m)
- release version.

* Fri Mar 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3-1m)
- initial


